echo off

if exist control goto delete
goto memory

:delete
del control

:memory
checkmem
if errorlevel 1 goto end

:frontend
play

:start
control

if errorlevel 7 goto end
if errorlevel 5 goto util
if errorlevel 4 goto manage
if errorlevel 3 goto bb
if errorlevel 2 goto back
if errorlevel 1 goto main
goto frontend

:util
util
goto start

:manage
manage
goto start

:bb
bb
goto start

:back
back
goto start

:main
main
if errorlevel 1 goto chunk
goto start

:chunk
chunksdm
goto bb

:end


